
.cs-blog-section {
    padding: 100px 0;
    background: #fff;
}


.cs-blog-card {
    height: 100%;
    background: #fff;
    border: 1px solid var(--border);
    border-radius: 18px;
    overflow: hidden;
    transition: all 0.4s ease;
    display: flex;
    flex-direction: column;
}

.cs-blog-card:hover {
    transform: translateY(-8px);
    box-shadow: 0 25px 50px rgba(0,0,0,0.08);
}



.cs-blog-image {
    display: block;
    width: 100%;
    height: 280px;
    overflow: hidden;
}

.cs-blog-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform .7s ease;
}

.cs-blog-card:hover .cs-blog-image img {
    transform: scale(1.08);
}



.cs-blog-content {
    padding: 28px;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.cs-blog-date {
    display: inline-block;
    color: var(--primary);
    font-size: 13px;
    font-weight: 600;
    letter-spacing: 1px;
    text-transform: uppercase;
    margin-bottom: 15px;
}

.cs-blog-title {
    text-decoration: none;
}

.cs-blog-title h3 {
    font-family: var(--heading-font);
    color: var(--dark);
    font-size: 28px;
    line-height: 1.3;
    margin-bottom: 15px;
    transition: .3s ease;
}

.cs-blog-card:hover .cs-blog-title h3 {
    color: var(--primary);
}

.cs-blog-excerpt {
    text-decoration: none;
}

.cs-blog-excerpt p {
    color: var(--gray);
    line-height: 1.8;
    margin-bottom: 25px;
}

.cs-blog-btn {
    margin-top: auto;
    display: inline-flex;
    align-items: center;
    gap: 10px;
    text-decoration: none;
    color: var(--primary);
    font-weight: 600;
    transition: all .3s ease;
}

.cs-blog-btn i {
    font-size: 14px;
    transition: .3s ease;
}

.cs-blog-card:hover .cs-blog-btn {
    gap: 16px;
}

@media (max-width: 991px) {

    .cs-blog-section {
        padding: 80px 0;
    }

    .cs-blog-image {
        height: 240px;
    }

    .cs-blog-title h3 {
        font-size: 24px;
    }

    .cs-blog-content {
        padding: 24px;
    }
}



@media (max-width: 767px) {

    .cs-blog-section {
        padding: 70px 0;
    }

    .cs-blog-image {
        height: 220px;
    }

    .cs-blog-title h3 {
        font-size: 22px;
    }

    .cs-blog-content {
        padding: 20px;
    }

    .cs-blog-excerpt p {
        font-size: 15px;
        line-height: 1.7;
    }
}


@media (max-width: 575px) {

    .cs-blog-image {
        height: 200px;
    }

    .cs-blog-title h3 {
        font-size: 20px;
    }

    .cs-blog-content {
        padding: 18px;
    }
}

/* blog-detail-css */


.cs-blog-detail-section {
    padding: 100px 0;
    background:#fff;
}

.cs-blog-featured-image {
    border-radius: 20px;
    overflow: hidden;
    margin-bottom: 40px;
}

.cs-blog-featured-image img {
    width: 100%;
    height: 550px;
    object-fit: cover;
    display: block;
}

.cs-blog-category {
    display: inline-block;
    padding: 10px 18px;
    background: var(--section-bg);
    color: var(--primary);
    border-radius: 30px;
    font-size: 14px;
    font-weight: 600;
    margin-bottom: 20px;
}

.cs-blog-header h1 {
    font-family: var(--heading-font);
    /* font-size: clamp(34px, 4vw, 58px); */
    line-height: 1.15;
    color: var(--dark);
    margin-bottom: 20px;
}

.cs-blog-meta {
    display: flex;
    align-items: center;
    gap: 12px;
    color: var(--gray);
    margin-bottom: 40px;
}

.cs-meta-dot {
    width: 5px;
    height: 5px;
    border-radius: 50%;
    background: var(--gray);
}


.cs-blog-content {
    color: var(--gray);
}

.cs-blog-intro {
    font-size: 22px;
    line-height: 1.8;
    color: var(--dark);
    margin-bottom: 35px;
}

.cs-blog-content h2 {
    font-family: var(--heading-font);
    font-size: 38px;
    color: var(--dark);
    margin: 55px 0 20px;
}

.cs-blog-content p {
    font-size: 17px;
    line-height: 1.9;
    margin-bottom: 22px;
}

.cs-blog-content ul {
    padding-left: 20px;
    margin: 25px 0;
}

.cs-blog-content li {
    margin-bottom: 12px;
    line-height: 1.8;
}

.cs-content-image {
    width: 100%;
    border-radius: 20px;
    margin: 35px 0;
}

.cs-blog-content blockquote {
    background: var(--section-bg);
    border-left: 4px solid var(--primary);
    padding: 14px;
    margin: 40px 0;
    border-radius: 16px;
    color: var(--dark);
    font-size: 18px;
    line-height: 1.6;
    font-family: var(--heading-font);
}

/*=========================================
SIDEBAR
=========================================*/

.cs-blog-sidebar {
    position: sticky;
    top: 120px;
}

.cs-sidebar-card {
    background: #fff;
    border: 1px solid var(--border);
    padding: 30px;
    border-radius: 20px;
}

.cs-sidebar-card h4 {
    font-family: var(--heading-font);
    color: var(--dark);
    margin-bottom: 25px;
}

.cs-recent-post {
    display: flex;
    gap: 15px;
    padding-bottom: 18px;
    margin-bottom: 18px;
    border-bottom: 1px solid var(--border);
}

.cs-recent-post:last-child {
    margin-bottom: 0;
    padding-bottom: 0;
    border-bottom: none;
}

.cs-recent-img {
    width: 90px;
    height: 90px;
    flex-shrink: 0;
    border-radius: 12px;
    overflow: hidden;
}

.cs-recent-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.cs-recent-content span {
    display: block;
    color: var(--primary);
    font-size: 13px;
    margin-bottom: 8px;
}

.cs-recent-content a {
    text-decoration: none;
    color: var(--dark);
    line-height: 1.5;
    font-weight: 600;
}

/*=========================================
PREV NEXT
=========================================*/

.cs-blog-navigation {
    margin-top: 60px;
    padding-top: 30px;
    border-top: 1px solid var(--border);
    display: flex;
    justify-content: space-between;
    gap: 20px;
}

.cs-blog-nav-item {
    text-decoration: none;
    color: inherit;
    max-width: 45%;
}

.cs-blog-nav-item span {
    display: block;
    color: var(--primary);
    font-size: 13px;
    margin-bottom: 8px;
}

.cs-blog-nav-item h5 {
    color: var(--dark);
    margin: 0;
    line-height: 1.5;
}

/*=========================================
TABLET
=========================================*/

@media (max-width: 991px) {

    .cs-blog-detail-section {
        padding: 80px 0;
    }

    .cs-blog-sidebar {
        position: static;
        margin-top: 50px;
    }

    .cs-blog-featured-image img {
        height: 450px;
    }
}

/*=========================================
MOBILE
=========================================*/

@media (max-width: 767px) {

    .cs-blog-detail-section {
        padding: 70px 0;
    }

    .cs-blog-featured-image img {
        height: 280px;
    }

    .cs-blog-content h2 {
        font-size: 28px;
    }

    .cs-blog-intro {
        font-size: 18px;
    }

    .cs-blog-content blockquote {
        padding: 25px;
        font-size: 18px;
    }

    .cs-blog-navigation {
        flex-direction: column;
    }

    .cs-blog-nav-item {
        max-width: 100%;
    }

    .cs-sidebar-card {
        padding: 20px;
    }
}